import {
  request
} from "./index.js";

// 数据字典查询
// export const reqDictionary = (postData) =>
//   request({
//     url: "/common/common/getDictionary",
//     data: postData,
//     method: 'POST'
//   });

// 用户登录接口
export const reqLogin = (postData) =>
  request({
    url: "/auth/login",
    data: postData,
    method: 'POST'
  });

// 首页查看急标和普标数量
export const reqSpecimenWorkOrderMsg = (postData) =>
  request({
    url: "/nurse/getSpecimenWorkOrderMsg",
    data: postData,
    method: 'POST'
  });

// 首页最新工单列表
export const reqWorkOrders = (postData) =>
  request({
    url: "/nurse/fetchDataList/workOrder",
    data: postData,
    method: 'POST'
  });

// 首页快捷工单（其他临床服务任务类型）
export const reqDeptTaskType = (postData) =>
  request({
    url: "/nurse/getDeptTaskType",
    data: postData,
    method: 'POST'
  });
  
// 获取动态二维码
export const reqDeptCodes = (postData) =>
  request({
    url: "/dept/deptCodes/0",
    data: postData,
    method: 'POST'
  });
