import {
  reqLogin
} from "@/request/api.js";
const state = {
  loginInfo: {},
};
const getters = {};
const mutations = {
  vxLogin(state, args) {
    state.loginInfo = args;
  },
};
const actions = {
  async vxLogin({
    commit
  }, args) {
    let result = await reqLogin(args);
    if (result.status == 200) {
      commit("vxLogin", result.user);
    }
    return result;
  },
};
export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions,
};
